Publicado Sat, 22 Sep 2018 19:39:38 GMT por Joe Kaufman Manager

Hey all,

A third-party CMMS system is offering to send us a MS SQl Server BAK file containing the full system database, daily, so we can mount it on our SQL Server and have all data locally for our own reporting, etc.

Problem is, they are backing up from SQL Server 2014 and our SQL Server is 2012. This server is the database upon which our on=premise DocuWare system resides.

We are on DW 6.11 with all hotfixes installed. Can we simply upgrade SQL Server from 2012 to 2014 without issue? I am assuming so, just wanted to make sure.

For that matter, should we just go all the way to SQL Server 2016? Will that work OK for DocuWare 6.11? we do not have the resources to try all this on a test server and test every single file cabinet and task manager setup. If all goes haywire, we would simply restore the entire DocuWare server image (which includes SQL Server) from backup (the server is virtualized). Apolgies if there is a upported database listing somewhere that I missed (I did search the forum but couldn't find anything quite specific to our scenario).

Let me know any gotchas with upgrading SQL Server behind DocuWare, and any downside to just going all the way to SQL Server 2016. We might as well, assuming it doesn't have any obviously pitfalls.

 

Thanks,

Joe Kaufman

Publicado Tue, 25 Sep 2018 10:46:56 GMT por Joe Kaufman Manager

Hey all,

Does anyone have any thoughts or "gotchas" about this? Any documentation I may have missed on upgrading the database behind DocuWare?

 

Thanks,

Joe Kaufman

Publicado Tue, 25 Sep 2018 11:13:19 GMT por Phil Robson DocuWare Corporation Senior Director Client Services, Americas

Joe,
The only gotcha when upgrading the database is to ensure that it is a supported DB version for your version of DocuWare.

6.11 supports MSSQL versions to 2016. So you can go to that.

 

Phil Robson
Senior Director Support Americas

Publicado Tue, 25 Sep 2018 12:00:56 GMT por Joe Kaufman Manager

Thanks, Phil!

Where can I find the various compatibility lists between versions of DocuWare and SQL Server, IIS, Windows Server, etc. I assume all of those dependencies are lain out somewhere.

I will look into getting us updated to 2016!

 

Thanks,

Joe Kaufman

Publicado Thu, 04 Oct 2018 13:04:24 GMT por Tobias Getz DocuWare GmbH Director Product

Hi Joe,

the system requirements are inside the Knowledge Center. For 6.11 you can find them here: http://help.docuware.com/en/#b57853t63146n87396

To see them for other versions, you have to choose that version from "Options" in the toolbar.

If system requirements are changed, you will find this in the "What´s new" section for every release, e.g. here: http://help.docuware.com/en/#b57865t57866n82340

Publicado Thu, 04 Oct 2018 13:20:18 GMT por Joe Kaufman Manager

Tobias,

Thank you -- great info!

 

Thanks,

Joe Kaufman

You must be signed in to post in this forum.